Subject: [AAA-WG]: DCC usage of CCR final on ASR

From: "Claire Mousset" <[email-masked]>
Date: Thu, 8 Jul 2004 13:36:25 +0200

Hello,

In looking at the DCC usage together with Diameter base, I have a question
on whether the STR usage (as described in 8.5 of RFC 3588) is effectively
replaced by a CCR final. If the server receives a CCR final, then it knows
to take down the session, so what purpose does the STR serve? It is a
completely wasted message.

What I would like is to clarify that the following sequence is valid with
DCC:

If an Abort-Session-Request is received from the server, the client responds
with an Abort-Session-Answer, then provides the Final User Units in a Credit
Control Request message (Termination), then the user session can be
terminated when the Answer is received back from the server.

No STR needed for this case.

Comments?

Many thanks,

Claire.

---

From: <[email-masked]>
Date: Fri, 9 Jul 2004 10:34:24 +0300

Comments in line.
 
Marco

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext Claire Mousset
Sent: 08 July, 2004 14:36
To: [email-masked]
Subject: [AAA-WG]: DCC usage of CCR final on ASR

Hello, 

In looking at the DCC usage together with Diameter base, I have a question on whether the STR usage (as described in 8.5 of RFC 3588) is effectively replaced by a CCR final. If the server receives a CCR final, then it knows to take down the session, so what purpose does the STR serve? It is a completely wasted message. 

CCR termination is used in DCC to the credit control server. STR is used to the AAA server in case you have a service specific authorization/authentication session with the AAA server. 

What I would like is to clarify that the following sequence is valid with DCC: 

If an Abort-Session-Request is received from the server, the client responds with an Abort-Session-Answer, then provides the Final User Units in a Credit Control Request message (Termination), then the user session can be terminated when the Answer is received back from the server. 

Right. 

Comments? 

Many thanks, 

Claire.

---

From: Schendel Jens ICM Berlin <[email-masked]>
Date: Wed, 14 Jul 2004 23:00:07 +0200

Hi Claire, Marco,
 
the described behaviour sounds reasonable to me, however, I cannot find the specification for ASR/ASA treatment in the DCCA 05 state machines. 
In opposition, the specific processing for RAR/RAA is given there. I'm not sure whether ASR/ASA as described in Diameter Base RFC (e.g., section 8.1.  Authorization Session State Machine, e.g. CLIENT, STATEFUL) is sufficient information to derive the appropriate Credit Control handling.
 
Shouldn't this be fixed?
 
An example of an enhanced DCCA state machine were (section 7. Credit Control Application State Machine):
 
CLIENT, SESSION BASED for intermediate and final interrogations
 
     State     Event                          Action       New State  
     ----------------------------------------------------------------  
     
     Open      ASR Received                   Terminate    PendingT  
                                              end user's   
                                              service, send 
                                              ASA with 
                                              Result-Code 
                                              = SUCCESS
                                              send CC 
                                              termination   
                                              req.
 
It also has to be considered how ASR are treated in the Pending states.
 
Regards Jens

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] 
Gesendet: Freitag, 9. Juli 2004 09:34
An: [email-masked]
Cc: [email-masked]
Betreff: RE: [AAA-WG]: DCC usage of CCR final on ASR

Comments in line.
 
Marco

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext Claire Mousset
Sent: 08 July, 2004 14:36
To: [email-masked]
Subject: [AAA-WG]: DCC usage of CCR final on ASR

Hello, 

Right. 

Comments? 

Many thanks, 

Claire.

---

From: "Leena Mattila (TU/LMF)" <[email-masked]>
Date: Thu, 15 Jul 2004 14:29:31 +0200

Hi Jens,

this is intentionally left out because the state
     Open      User service terminated        Send         PendingT  
                                              CC termination  
                                              req. 

covers also this case. The user service can be terminated for various reasons (normal user termination, network failure, ASR etc). We haven't separated those, neither has the RFC3588 in their accounting state machine. The Termination-Cause AVP contains information about the reason (value 4 in this case).
The reason why RAR/RAA are included is that special DCC specific logic is built around those commands.

BR,
Leena

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Schendel Jens ICM Berlin
Sent: 15. heinäkuuta 2004 0:00
To: [email-masked]'; [email-masked]
Cc: [email-masked]
Subject: AW: [AAA-WG]: DCC usage of CCR final on ASR

Hi Claire, Marco,

Shouldn't this be fixed?

     

Regards Jens

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] 
Gesendet: Freitag, 9. Juli 2004 09:34
An: [email-masked]
Cc: [email-masked]
Betreff: RE: [AAA-WG]: DCC usage of CCR final on ASR

Comments in line.

Marco
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext Claire Mousset
Sent: 08 July, 2004 14:36
To: [email-masked]
Subject: [AAA-WG]: DCC usage of CCR final on ASR

Hello,

---

From: Schendel Jens ICM Berlin <[email-masked]>
Date: Thu, 15 Jul 2004 16:03:03 +0200

Leena,

thanks for the clarification. Wouldn't some additional clarifying text improve the understanding a lot?

My proposal is to add an additional paragraph in section 7, e.g. after "The event 'Not successfully processed' means...":

  The event 'User service terminated' can be triggered by various
  reasons, e.g. normal user termination, network failure and ASR.
  The Termination-Cause AVP contains information about the reason
  as specified in [DIAMBASE].

Regards, Jens

> Von: Leena Mattila (TU/LMF) [mailto:[email-masked]] 
> Gesendet: Donnerstag, 15. Juli 2004 14:30
> An: 'Schendel Jens ICM Berlin'; 'Stura Marco'; 
> [email-masked]
> Cc: [email-masked]
> covers also this case. The user service can be terminated for 
> various reasons (normal user termination, network failure, 
> ASR etc). We haven't separated those, neither has the RFC3588 
> in their accounting state machine. The Termination-Cause AVP 
> contains information about the reason (value 4 in this case).
> The reason why RAR/RAA are included is that special DCC 
> specific logic is built around those commands.
> 
> BR,
> Leena
> 
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of Schendel Jens ICM Berlin
> the described behaviour sounds reasonable to me, however, I 
> cannot find the specification for ASR/ASA treatment in the 
> DCCA 05 state machines. 
> In opposition, the specific processing for RAR/RAA is given 
> there. I'm not sure whether ASR/ASA as described in Diameter 
> Base RFC (e.g., section 8.1.  Authorization Session State 
> Machine, e.g. CLIENT, STATEFUL) is sufficient information to 
> derive the appropriate Credit Control handling.
> 
> Shouldn't this be fixed?
> 
> An example of an enhanced DCCA state machine were (section 7. 
> Credit Control Application State Machine):
> 
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of > ext Claire 
> Mousset
> In looking at the DCC usage together with Diameter base, I 
> have a question on whether the STR usage (as described in 8.5 
> of RFC 3588) is effectively replaced by a CCR final. If the 
> server receives a CCR final, then it knows to take down the 
> session, so what purpose does the STR serve? It is a 
> CCR termination is used in DCC to the credit control server. 
> STR is used to the AAA server in case you have a service 
> specific authorization/authentication session with the AAA server. 
> If an Abort-Session-Request is received from the server, the 
> client responds with an Abort-Session-Answer, then provides 
> the Final User Units in a Credit Control Request message 
> (Termination), then the user session can be terminated when 
> the Answer is received back from the server. 
> Right.